<xml></xml>

Saxon API for .NET |

# XsltCompiler.CompileAssociatedStylesheet Method

Locate and compile a stylesheet identified by an <?xml-stylesheet?> processing instruction within a source document.

public XsltExecutable CompileAssociatedStylesheet(
XdmNode source
);

#### Parameters

source
  The document node of the source document containing the xml-stylesheet processing instruction.

#### Return Value

An `XsltExecutable` which represents the compiled stylesheet object.

#### Remarks

There are some limitations in the current implementation. The media type is ignored, as are the other parameters of the xml-stylesheet instruction. The href attribute must either reference an embedded stylesheet within the same document or a non-embedded external stylesheet.

#### See Also

XsltCompiler Class | Saxon.Api Namespace